%------------------------------------------------------------
% Author:    Yasuko Matsubara 
% Email:     yasuko@cs.kumamoto-u.ac.jp
% URL:       http://www.cs.kumamoto-u.ac.jp/~yasuko/
% Date:      2016-09-15
%------------------------------------------------------------
% Copyright (C) 2015--2016 Yasuko Matsubara & Yasushi Sakurai
%------------------------------------------------------------
function [] = M_regimesnap_ss(CDIR, ODIR, rps)
%close all; 
figure(1)
mkdir(ODIR)

disp('------------------')
disp('[in]: '); disp(CDIR);
disp('[out]: '); disp(ODIR);
disp('[rps]: '); disp(num2str(rps));
disp('------------------')

t=1;i=1;idx=1;
X=[]; Ve=[]; Vf_full=[]; Ticks=[];
while(1)  
    
    try 
        ssONLY=false;
    	[X, Ve, Vf_full, Ticks]=M_regimesnap_idx(CDIR, idx, ssONLY, X, Ve, Vf_full, Ticks);
        FLM(i) = getframe(1); i=i+1;
    end
    t=t+1;idx=idx+1;
    if(t>size(X,1)); break; end
end
movie2avi(FLM,[ODIR,'ss_rps',num2str(rps),'.avi'],'FPS',rps,'QUALITY',10,'KEYFRAME',2);

end
